JavaScript/jQuery PolarChart Methods
beginUpdate()
Prevents the UI component from refreshing until the endUpdate() method is called.
The beginUpdate() and endUpdate() methods prevent the UI component from excessive updates when you are changing multiple UI component settings at once. After the beginUpdate() method is called, the UI component does not update its UI until the endUpdate() method is called.
See Also
dispose()
After calling this method, remove the DOM element associated with the UI component:
- $("#myPolarChart").dxPolarChart("dispose");
- $("#myPolarChart").remove();
Use this method only if the UI component was created with jQuery or pure JavaScript. In Angular, Vue, and React, use conditional rendering:
See Also
getDataSource()
Gets the DataSource instance.
See Also
- Call Methods: Angular | Vue | React | jQuery | AngularJS | Knockout
- Data Layer - Overview
- Data Layer - DataSource Examples
getInstance(element)
getInstance is a static method that the UI component class supports. The following code demonstrates how to get the PolarChart instance found in an element with the myPolarChart
ID:
- // Modular approach
- import PolarChart from "devextreme/viz/polar_chart";
- ...
- let element = document.getElementById("myPolarChart");
- let instance = PolarChart.getInstance(element) as PolarChart;
- // Non-modular approach
- let element = document.getElementById("myPolarChart");
- let instance = DevExpress.viz.dxPolarChart.getInstance(element);
See Also
render()
Normally, the UI component redraws itself automatically after the browser window is resized. But on rare occasions, you may need to request the redrawing, for example, after the UI component's container is resized. For this purpose, call the render() method.
See Also
render(renderOptions)
You can call the render method without parameters after the size or visibility of the UI component container is changed. Alternatively, call the render method passing an object as the parameter. This object must contain the force field set to 'true'. In addition, you can use this object to specify whether or not to perform animation on redrawing with the animate field.
The following code sample illustrates the example of the object that can be passed to the render method.
- var renderOptions = {
- force: true, // forces redrawing
- animate: false // redraws the UI component without animation
- }
See Also
resetVisualRange()
Resets the value axis' visual range to the data range or to the whole range if it is within the data range.
If you have technical questions, please create a support ticket in the DevExpress Support Center.

React PolarChart Methods
beginUpdate()
Prevents the UI component from refreshing until the endUpdate() method is called.
The beginUpdate() and endUpdate() methods prevent the UI component from excessive updates when you are changing multiple UI component settings at once. After the beginUpdate() method is called, the UI component does not update its UI until the endUpdate() method is called.
See Also
clearSelection()
Deselects the chart's selected series. The series is displayed in an initial style.
dispose()
Disposes of all the resources allocated to the PolarChart instance.
After calling this method, remove the DOM element associated with the UI component:
$("#myPolarChart").dxPolarChart("dispose");
$("#myPolarChart").remove();Use this method only if the UI component was created with jQuery or pure JavaScript. In Angular, Vue, and React, use conditional rendering:
Angular
<dx-polar-chart ...
    *ngIf="condition">
</dx-polar-chart>Vue
<template>
    <DxPolarChart ...
        v-if="condition">
    </DxPolarChart>
</template>
<script>
import DxPolarChart from 'devextreme-vue/polar-chart';
export default {
    components: {
        DxPolarChart
    }
}
</script>React
import React from 'react';
import PolarChart from 'devextreme-react/polar-chart';
function DxPolarChart(props) {
    if (!props.shouldRender) {
        return null;
    }
    return (
        <PolarChart ... >    
        </PolarChart>
    );
}
class App extends React.Component {
    render() {
        return (
            <DxPolarChart shouldRender="condition" />
        );
    }
}
export default App;See Also
element()
Gets the root UI component element.
An HTML element or a jQuery element when you use jQuery.
getDataSource()
Gets the DataSource instance.
The DataSource instance.
See Also
- Call Methods: Angular | Vue | React | jQuery | AngularJS | Knockout
- Data Layer - Overview
- Data Layer - DataSource Examples
getInstance(element)
Gets the instance of a UI component found using its DOM node.
The UI component's instance.
getInstance is a static method that the UI component class supports. The following code demonstrates how to get the PolarChart instance found in an element with the myPolarChart ID:
// Modular approach
import PolarChart from "devextreme/viz/polar_chart";
...
let element = document.getElementById("myPolarChart");
let instance = PolarChart.getInstance(element) as PolarChart;
// Non-modular approach
let element = document.getElementById("myPolarChart");
let instance = DevExpress.viz.dxPolarChart.getInstance(element);See Also
getSeriesByName(seriesName)
Gets a series with a specific name.
The series' name.
instance()
Gets the UI component's instance. Use it to access other methods of the UI component.
This UI component's instance.
off(eventName)
Detaches all event handlers from a single event.
The event's name.
The object for which this method is called.
off(eventName, eventHandler)
Detaches a particular event handler from a single event.
The object for which this method is called.
on(eventName, eventHandler)
Subscribes to an event.
The object for which this method is called.
on(events)
Subscribes to events.
Events with their handlers: { "eventName1": handler1, "eventName2": handler2, ...}
The object for which this method is called.
option(optionName)
Gets the value of a single property.
The property's name or full path.
This property's value.
option(options)
Updates the values of several properties.
Options with their new values.
render()
Redraws the UI component.
Normally, the UI component redraws itself automatically after the browser window is resized. But on rare occasions, you may need to request the redrawing, for example, after the UI component's container is resized. For this purpose, call the render() method.
See Also
render(renderOptions)
Redraws the UI component.
Rendering properties.
You can call the render method without parameters after the size or visibility of the UI component container is changed. Alternatively, call the render method passing an object as the parameter. This object must contain the force field set to 'true'. In addition, you can use this object to specify whether or not to perform animation on redrawing with the animate field.
The following code sample illustrates the example of the object that can be passed to the render method.
var renderOptions = {
    force: true, // forces redrawing
    animate: false // redraws the UI component without animation
}See Also
resetOption(optionName)
Resets a property to its default value.
A property's name.
resetVisualRange()
Resets the value axis' visual range to the data range or to the whole range if it is within the data range.
If you have technical questions, please create a support ticket in the DevExpress Support Center.